package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:21
 * @Modify:
 **/
@Entity
@Table(name = "executor_group_registry_info")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("执行器组")
public class ExecutorGroupRegistryInfo extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3871002350228229604L;

    @Column(name = "app_name")
    @ApiModelProperty("执行器组的applicationName")
    private String appName;

    @Column(name = "address_str")
    @ApiModelProperty("注册地址字符串，地址用逗号间隔")
    private String addressStr;

    @Column(name = "type",columnDefinition = "int default 0")
    @ApiModelProperty("自动注册 0，手动注册 1")
    private String type;

    @Column(name = "update_time")
    @ApiModelProperty("更新时间")
    private Date updateTime;
}
