package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:43
 * @Modify:
 **/
@Entity
@Table(name = "executor_registry_method_doc_info")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法doc")
public class ExecutorRegistryMethodDocInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2770821289940006535L;

    @Column(name = "bean_name")
    @ApiModelProperty("beanName")
    private String beanName;

    @Column(name = "version")
    @ApiModelProperty("方法版本")
    private String version;

    @Column(name = "affect_table_str")
    @ApiModelProperty("受影响的表名,逗号分割，原来为数组")
    private String affectTableClassNameStr;

    @Column(name = "system_process_str")
    @ApiModelProperty("系统要执行的逻辑 逗号分割，原来为数组")
    private String systemProcessStr;
    /**
     * 参数验证 逗号分割，原来为数组
     */
    @Column(name = "validation")
    @ApiModelProperty("参数验证 逗号分割，原来为数组")
    private String validation;

    @Column(name = "method_id")
    @ApiModelProperty("方法ID")
    private Integer methodId;
    //todo 缺少参数信息
}
