package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:39
 * @Modify:
 **/
@Table(name = "executor_registry_method_info")
@Entity
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法注册信息")
public class ExecutorRegistryMethodInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2096630767822598366L;

    @Column(name = "method_name")
    @ApiModelProperty("方法名")
    private String methodName;

    @Column(name = "method_handler_key")
    @ApiModelProperty("调用方法需要的key")
    private String methodHandlerKey;

    @Column(name = "bean_name")
    @ApiModelProperty("beanName")
    private String beanName;

    @Column(name = "version")
    @ApiModelProperty("方法的版本号")
    private String version;

    @Column(name = "app_name")
    @ApiModelProperty("所属执行器的appName")
    private String appName;

}
