package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:36
 * @Modify:
 **/
@Entity
@Table(name = "executor_registry_param_info")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法注册参数信息")
public class ExecutorRegistryParamInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = 7346454749822492424L;


    @Column(name = "name")
    @ApiModelProperty("参数名")
    private String name;

    @Column(name = "type")
    @ApiModelProperty("入参 1 ，出参 0")
    private Integer type;

    @Column(name = "type_name")
    @ApiModelProperty("数据类型，基本数据类型")
    private String typeName;

    @Column(name = "method_id")
    @ApiModelProperty("所属方法的ID")
    private Integer methodId;

}
